Bug 205480 - ISDN card detected as wireless device
ISDN card detected as wireless device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 13:08 EDT by mail@romal.de
Modified: 2008-04-25 10:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 10:17:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
crash log (882 bytes, text/plain)
2008-04-25 09:52 EDT, mail@romal.de
no flags Details
crash report (882 bytes, text/plain)
2008-04-25 09:56 EDT, mail@romal.de
no flags Details

  None (edit)
Description mail@romal.de 2006-09-06 13:08:26 EDT
Description of problem:

a strange thing in hardware detection.

[root@helios ~]# lspcmcia
Socket 0 Bridge:        [yenta_cardbus]         (bus ID: 0000:06:04.0)
Socket 0 Device 0:      [avma1_cs]              (bus ID: 0.0)
Socket 1 Bridge:        [yenta_cardbus]         (bus ID: 0000:06:04.1)
[root@helios ~]#

There is inserted AVM Fritzcard pcmcia card, that is correct.

system-config-network does report "AVM ISDN A" with a type of "Wireless"
and eth1. Strange.

After running the new connection wizard in system-config-network und configuring
the dialup connection, a second device shows up: "AVM Fritz Card PCMCIA" with
the correct type of "ISDN" and Device "ISDN Card 0".

The dialup connection though works without problems. The doubled card is simply
confusing and annoying.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Miller 2007-04-06 12:19:56 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 mail@romal.de 2007-04-09 02:36:20 EDT
Yes, it's still in f7t3.
Comment 3 Matthew Miller 2007-04-09 09:12:55 EDT
thanks.
Comment 4 Bug Zapper 2008-04-03 14:10:06 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 mail@romal.de 2008-04-16 08:39:08 EDT
It`s still in Fedora 9 Beta.
Comment 6 Harald Hoyer 2008-04-16 09:08:32 EDT
please attach the output of "lshal" and "iwconfig" and your
/etc/sysconfig/network-scripts/ifcfg-* files
Comment 7 mail@romal.de 2008-04-25 09:52:44 EDT
Created attachment 303785 [details]
crash log
Comment 8 mail@romal.de 2008-04-25 09:56:00 EDT
Something changed for the worse, system-config-network is crashing now.

The ISDN is no longer detected, so I try to add it manual. 

Menu File - Add - ISDN-Connection - Next !ZAP!

I attached the logfile it dumps on the screen.

[root@localhost ~]# rpm --query system-config-network
system-config-network-1.5.6-1.fc9.noarch
[root@localhost ~]# 

Running Rawhide with all updates.
Comment 9 mail@romal.de 2008-04-25 09:56:29 EDT
Created attachment 303786 [details]
crash report
Comment 10 mail@romal.de 2008-04-25 09:57:57 EDT
[root@localhost ~]# lspcmcia -v
Socket 0 Bridge:   	[yenta_cardbus] 	(bus ID: 0000:05:0b.0)
	Configuration:	state: on	ready: yes
			Voltage: 5.0V Vcc: 5.0V Vpp: 0.0V
Socket 0 Device 0:	[avma1_cs]		(bus ID: 0.0)
	Configuration:	state: on
	Product Name:   AVM ISDN A 
	Identification:	function: 6 (network)
			prod_id(1): "AVM" (0x95d42008)
			prod_id(2): "ISDN A" (0xadc9d4bb)
			prod_id(3): --- (---)
			prod_id(4): --- (---)
[root@localhost ~]# 
Comment 11 Harald Hoyer 2008-04-25 10:09:48 EDT
try this:

http://koji.fedoraproject.org/koji/buildinfo?buildID=47255
Comment 12 mail@romal.de 2008-04-25 10:17:26 EDT
Wow, that was the fastet fix from any software vendor ever :-) Great work
Harald. We can close the bug.

Note You need to log in before you can comment on or make changes to this bug.